%define name perl-MP3-Info
%define real_name MP3-Info
%define version 0.91
%define release 3mdk

Summary: Perl module to manipulate / fetch info from MP3 audio files
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/Perl
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/MPEG/%{real_name}-%{version}.tar.bz2
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Obsoletes: perl-MPEG-MP3Info
Provides: perl-MPEG-MP3Info = %{version}

%description
Manipulate / fetch info from MP3 audio files : winamp genres, mp3tag, mp3info.

A wrapper module is included so scripts calling MPEG::MP3Info will still work.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
%make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%files
%defattr(-,root,root)
%doc README
%{_libdir}/perl5/man/*/*
%{_libdir}/perl5/site_perl/*/MP3/*.pm
%{_libdir}/perl5/site_perl/*/MPEG/*.pm

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Sep 05 2001 Franois Pons <fpons@mandrakesoft.com> 0.91-3mdk
- update provides tag.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.91-2mdk
- Rebuild for the latest perl.

* Tue Feb 27 2001 Franois Pons <fpons@mandrakesoft.com> 0.91-1mdk
- 0.91.

* Mon Aug 07 2000 Franois Pons <fpons@mandrakesoft.com> 0.80-3mdk
- added missing clean.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 0.80-2mdk
- macroszifications.
- noarch.
- add doc.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-1mdk
- 0.80 with new name (obsoletes perl-MPEG-MP3Info)
- fixed group
- rebuild with new perl
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- typo in description

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first version of rpm.
